Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.io
Interface ByteArrayDataOutput

All Superinterfaces:
  DataOutput

    public interface ByteArrayDataOutput

extends DataOutput

An extension of `DataOutput` for writing to in-memory byte arrays; its methods offer identical functionality but do not throw `IOException`.

Since:
  1.0
Author:
  Jayaprabhakar Kadarkarai

Method Summary
`byte[]` | `toByteArray()` Returns the contents that have been written to this instance, as a byte array.
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`
`void` | `writeBoolean(boolean v)`
`void` | `writeByte(int v)`
`void` | `writeBytes(String s)` Deprecated. This method is dangerous as it discards the high byte of every character. For UTF-8, use `write(s.getBytes(Charsets.UTF_8))`.
`void` | `writeChar(int v)`
`void` | `writeChars(String s)`
`void` | `writeDouble(double v)`
`void` | `writeFloat(float v)`
`void` | `writeInt(int v)`
`void` | `writeLong(long v)`
`void` | `writeShort(int v)`
`void` | `writeUTF(String s)`

Method Detail

### write

    void write(int b)

  Specified by:
    `write` in interface `DataOutput`

### write

    void write(byte[] b)

  Specified by:
    `write` in interface `DataOutput`

### write

    void write(byte[] b,
               int off,
               int len)

  Specified by:
    `write` in interface `DataOutput`

### writeBoolean

    void writeBoolean(boolean v)

  Specified by:
    `writeBoolean` in interface `DataOutput`

### writeByte

    void writeByte(int v)

  Specified by:
    `writeByte` in interface `DataOutput`

### writeShort

    void writeShort(int v)

  Specified by:
    `writeShort` in interface `DataOutput`

### writeChar

    void writeChar(int v)

  Specified by:
    `writeChar` in interface `DataOutput`

### writeInt

    void writeInt(int v)

  Specified by:
    `writeInt` in interface `DataOutput`

### writeLong

    void writeLong(long v)

  Specified by:
    `writeLong` in interface `DataOutput`

### writeFloat

    void writeFloat(float v)

  Specified by:
    `writeFloat` in interface `DataOutput`

### writeDouble

    void writeDouble(double v)

  Specified by:
    `writeDouble` in interface `DataOutput`

### writeChars

    void writeChars(String s)

  Specified by:
    `writeChars` in interface `DataOutput`

### writeUTF

    void writeUTF(String s)

  Specified by:
    `writeUTF` in interface `DataOutput`

### writeBytes

    @Deprecated
    void writeBytes(String s)

  Deprecated. This method is dangerous as it discards the high byte of every character. For UTF-8, use `write(s.getBytes(Charsets.UTF_8))`.

  Specified by:
    `writeBytes` in interface `DataOutput`

### toByteArray

    byte[] toByteArray()

  Returns the contents that have been written to this instance, as a byte array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.